<div>
  <h2 id="page-heading" data-cy="RawDataHeading">
    <span>Raw Data</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-raw-data"
        [routerLink]="['/raw-data/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Raw Data</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (rawData?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Raw Data found</span>
    </div>
  }

  @if (rawData && rawData.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="uniqueKey">
              <div class="d-flex">
                <span>Unique Key</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="orderDate">
              <div class="d-flex">
                <span>Order Date</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="fileName">
              <div class="d-flex">
                <span>File Name</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="line">
              <div class="d-flex">
                <span>Line</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="delimeter">
              <div class="d-flex">
                <span>Delimeter</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="lineNumber">
              <div class="d-flex">
                <span>Line Number</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="valid">
              <div class="d-flex">
                <span>Valid</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="invalidReason">
              <div class="d-flex">
                <span>Invalid Reason</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="status">
              <div class="d-flex">
                <span>Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (rawData of rawData; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/raw-data', rawData.id, 'view']">{{ rawData.id }}</a>
              </td>
              <td>{{ rawData.uniqueKey }}</td>
              <td>{{ rawData.orderDate | formatMediumDate }}</td>
              <td>{{ rawData.fileName }}</td>
              <td>{{ rawData.line }}</td>
              <td>{{ rawData.delimeter }}</td>
              <td>{{ rawData.lineNumber }}</td>
              <td>{{ rawData.valid }}</td>
              <td>{{ rawData.invalidReason }}</td>
              <td>{{ rawData.status }}</td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/raw-data', rawData.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/raw-data', rawData.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(rawData)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (rawData && rawData.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
